> For the complete documentation index, see [llms.txt](https://docs.complycube.com/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.complycube.com/documentation/api-reference/other-resources/hosted-solution.md).

# Flow (Hosted Solution)

The quickest way to build conversion-optimised identity verification pages, hosted on ComplyCube.

**ComplyCube Flow** is a secure, fully customizable, hosted KYC and identity verification page that lets you verify your clients quickly, with minimal code.

‌By simply initiating a **Flow session**, you create a unique ComplyCube URL address to redirect your clients to complete identity verification. Once complete, your clients will be redirected to your chosen URL.

The checks and stages undertaken as part of a Flow session are fully customizable.

A Flow session **expires** once a client completes the identity verification process or **14 days** after initialization.

The API allows you to create a session.

{% hint style="info" %}
You can add your color scheme and logos to the hosted page through the [brand settings page](https://portal.complycube.com/settings/branding).
{% endhint %}

[Learn more about ComplyCube Flow](https://docs.complycube.com/documentation/guides/hosted-solution-quick-guide)

## The Session object

<table><thead><tr><th width="214.23208191126278">Attribute</th><th width="111.04175107149712">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>redirectUrl</code></td><td>string</td><td>The unique URL to redirect your client to.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.complycube.com/documentation/api-reference/other-resources/hosted-solution.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
